@charset "utf-8";
/* General reset */
.login-div {
  display: flex;
  height: 100%;
  width: 100%;
}

/* LEFT SIDE */
.login-image-div {
  position: fixed;
  left: 0;
  width: 25%;
  height: 100%;
  overflow: hidden;
  flex: 1;
  display: flex;
  justify-content: space-between;
  flex-direction: column;
}

.login-image-div .image-slide-1,
.login-image-div .image-slide-2,
.login-image-div .image-slide-3 {
  position: absolute;
  inset: 0;
  background-size: cover;
  background-position: center;
  opacity: 0;
  animation: fadeSlide 15s infinite;
}

.login-image-div .image-slide-1 {
  background-image: url("../../all-images/body-pix/auth-slide-3.webp");
  animation-delay: 0s;
}

.login-image-div .image-slide-2 {
  background-image: url("../../all-images/body-pix/auth-slide-2.jpeg");
  animation-delay: 5s;
}

.login-image-div .image-slide-3 {
  background-image: url("../../all-images/body-pix/auth-slide-1.jpeg");
  animation-delay: 10s;
}

/* FADE KEYFRAMES */
@keyframes fadeSlide {
  0% {
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  40% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
  100% {
    opacity: 0;
  }
}

.login-image-div .image-overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.45);
  z-index: 1;
}

.login-image-div .logo-div,
.login-image-div .bottom-container {
  position: relative;
  z-index: 2;
}

.login-image-div .logo-div {
  width: 70px;
  margin: 40px;
  overflow: hidden;
  z-index: 200;
}

.login-image-div .logo-div img {
  width: 100%;
}

.login-image-div .bottom-container {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 12px;
  color: var(--text-white);
  padding: 220px 40px 120px 40px;
  background: linear-gradient(to top, #000000, transparent);
  z-index: 200;
}

.login-image-div .bottom-container h1 {
  font-size: 24px;
  font-family: sub-title-font;
  color: var(--text-white);
}

.login-image-div .bottom-container span {
  color: var(--secondary-color);
}

.login-image-div .bottom-container p {
  color: var(--text-white);
  font-size: 16px;
  text-align: left;
}

/* RIGHT SIDE */
.login-card-div {
  position: absolute;
  width: 75%;
  height: 100%;
  right: 0px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  background: var(--bg-white);
  overflow: auto;
}

/* FORM SECTION */
.login-card-div .form-section {
  width: 90%;
  max-width: 500px;
  display: flex;
  justify-content: center;
  flex-direction: column;
  gap: 10px;
}

.login-card-div .form-section .logo-div {
  width: 200px;
  overflow: hidden;
}

.login-card-div .form-section .logo-div img {
  width: 100%;
}

.login-card-div .form-section .form-back-div {
  width: 100%;
  min-height: 200px;
  display: flex;
  justify-content: center;
  flex-direction: column !important;
  gap: 10px;
}

.login-card-div .form-section .form-div {
  width: 100%;
  display: flex;
  justify-content: center;
  flex-direction: column;
  gap: 10px;
}

.login-card-div .form-section .form-div h1 {
  font-size: 25px;
  font-family: sub-title-font;
  color: var(--body-color);
}

.login-card-div .form-section .form-div h1 span {
  color: var(--secondary-color);
}

.login-card-div .form-section .form-div p {
  font-size: 14px;
  color: var(--text-color);
}

.login-card-div .form-section .form-div .inner-form {
  width: 100%;
  display: flex;
  justify-content: center;
  flex-direction: column;
  gap: 20px;
}

.login-card-div .form-section .form-div .inner-form .btn-div {
  width: 100%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 7px;
}

.login-card-div .form-section .form-div .inner-form .btn-div .btn {
  border: none;
  height: 45px;
  min-width: 120px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
  cursor: pointer;
  border-radius: 8px;
  font-family: sub-title-font;
  align-self: self-start;
  padding: 0px 25px;
  font-size: 15px;
  color: var(--text-white);
  background: var(--primary-color);
  transition:
    background-position 0.4s ease-in-out,
    transform 0.2s ease-in-out;
  white-space: nowrap;
}

.login-card-div .form-section .form-div .inner-form .btn-div .btn i {
  font-size: 13px;
}

.login-card-div .form-section .form-div .inner-form .btn-div .full-btn {
  width: 100%;
}

.login-card-div .form-section .form-div .inner-form .btn-div .back-btn {
  background: rgba(200, 200, 200, 0.7);
  color: var(--sub-body-color);
}

.login-card-div .form-section .form-div .inner-form .btn-div .btn:hover {
  background-size: 200% 100%;
  background-position: right;
  transform: scale(1.01); /* subtle hover grow */
}

.login-card-div .form-section .form-div .inner-form .btn-div a {
  color: var(--link-color);
}

.form-alert-div {
  margin: 0px;
}

.login-card-div .form-section .form-div .inner-form .row-wrapper {
  width: 100%;
  display: flex;
  gap: 10px;
}

.login-card-div .form-section .form-div .inner-form .cam-pix {
  width: 350px;
  height: 300px;
  position: relative;
  border-radius: 8px;
  margin: 10px auto;
  border: #e6e6e6 1px solid;
}

.login-card-div .form-section .form-div .inner-form .cam-pix .cam-pix-inner {
  width: 100%;
  height: 100%;
  cursor: pointer;
  flex-shrink: 0;
}

.login-card-div
  .form-section
  .form-div
  .inner-form
  .cam-pix
  .cam-pix-inner
  img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 8px;
}

.login-card-div .form-section .form-div .inner-form .cam-pix .btn-container {
  width: 350px;
  height: 300px;
  position: absolute;
  background: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 8px;
  gap: 12px;
  flex-direction: column;
  opacity: 0;
  transition: all 0.2s ease-in 0.2s;
}

.login-card-div
  .form-section
  .form-div
  .inner-form
  .cam-pix:hover
  .btn-container {
  opacity: 1;
}

.login-card-div
  .form-section
  .form-div
  .inner-form
  .cam-pix
  .btn-container
  .capture-btn {
  border: none;
  height: 45px;
  width: 170px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
  cursor: pointer;
  border-radius: 8px;
  font-family: sub-title-font;
  padding: 0px 25px;
  font-size: 13px;
  color: var(--text-white);
  background: var(--primary-color);
  transition: all 0.2s ease-in 0.2s;
}

.login-card-div
  .form-section
  .form-div
  .inner-form
  .cam-pix
  .btn-container
  .capture-btn:hover {
  background: var(--secondary-color);
}

.login-card-div .form-section .form-div .inner-form .issue-text {
  color: #f00;
  font-family: body-font;
  font-size: 10px;
  font-style: italic;
  display: none;
}

.login-card-div .form-section .form-div .inner-form .form-title {
  font-size: 12px;
  font-family: body-font;
  color: var(--text-color);
}

.login-card-div .form-section .form-div .inner-form .title span {
  color: var(--subactive-color);
}

.login-card-div .footer-container {
  width: 90%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 14px;
  color: var(--text-color);
  font-family: body-font;
  position: absolute;
  bottom: 20px;
}

@media all and (max-width: 930px) {
  .login-image-div {
    display: none;
  }
  .login-card-div {
    width: 100%;
  }
}

@media all and (max-width: 420px) {
  .login-card-div .form-section .form-div .inner-form .cam-pix {
    width: 100%;
  }
  .login-card-div .form-section .form-div .inner-form .cam-pix .btn-container {
    width: 100%;
  }
}
